easy_admin:
    entities:
        News:
            class: App\NewsBundle\Entity\News
            list:
                title: entity.news.title.list
                sort: [publicationDate, DESC]
                fields:
                    - { property: id, label: common.id }
                    - { property: image, type: image, label: common.image, base_path: "%app.path.news_images%" }
                    - { property: title, label: common.title }
                    - { property: section.locale.name, label: entity.section.form.label.section }
                    - { property: isPublished, label: common.whether_published }
                    - { property: publicationDate, label: common.date_of_publication }
                actions:
                    - { name: 'new', icon: 'plus' }
                    - { icon: 'eye', name: 'news', type: 'route', label: 'common.preview' }
                    - { name: 'edit', icon: 'pencil' }
                    - { name: 'delete', icon: 'trash' }
            show:
                fields:
                    - { property: image, type: image, base_path: "%app.path.news_images%" }
            form:
                fields:
                    - type: 'group'
                      css_class: 'col-lg-7'
                      label: 'common.main_content'
                      icon: 'paint-brush'

                    - property: section
                      label: entity.section.form.label.section
                      required: true

                    - property: locales
                      type: collection
                      type_options:
                          label: false
                          entry_type: 'App\NewsBundle\Form\Type\NewsLocaleType'
                          error_bubbling: false
                          by_reference: false

                    - type: 'group'
                      css_class: 'col-lg-5'
                      label: 'common.other'
                      icon: 'calendar'


                    - property: isPublished
                      label: common.whether_published
                    - property: publicationDate
                      label: common.date_of_publication
            new:
                title: entity.news.title.new
            edit:
                title: entity.news.title.edit